<script>
export default {
  name: "MenuItem",
  functional: true,
  props: {
    icon: {
      type: String,
      default: "",
    },
    title: {
      type: String,
      default: "",
    },
    indexnum: {
      type: Number,
      default: "",
    },
  },
  render(h, context) {
    const { icon, title, indexnum } = context.props;
    const vnodes = [];

    if (icon) {
      vnodes.push(<svg-icon icon-class={icon} />);
    }

    // if (title === "学时待审核列表") {
    //   if (indexnum >= 301) {
    //     vnodes.push(
    //       <i class="iconfont icon-safe_warn" style="color:red!important;"></i>
    //     );
    //   } else if (indexnum < 301 && indexnum >= 101) {
    //     vnodes.push(
    //       <i class="iconfont icon-safe_warn" style="color:yellow!important;"></i>
    //     );
    //   } else {
    //     vnodes.push(
    //       <i class="iconfont icon-safe_warn" style="color:#bfcbd9!important;"></i>
    //     );
    //   }
    // }
    if (title) {
      vnodes.push(<span slot="title">{title}</span>);
    }
    return vnodes;
  },
};
</script>
